Bug 255761 - [new port]: audio/pamixer: A console-only mixer for pulseaudio
Summary: [new port]: audio/pamixer: A console-only mixer for pulseaudio
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-10 21:23 UTC by Daniel Menelkir
Modified: 2021-05-18 05:20 UTC (History)
1 user (show)

See Also:
menelkir: maintainer-feedback+


Attachments
v1 (1.44 KB, patch)
2021-05-10 21:23 UTC, Daniel Menelkir
no flags Details | Diff
patch with some refinements, v2 (2.14 KB, patch)
2021-05-11 11:08 UTC, Rainer Hurling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Menelkir 2021-05-10 21:23:35 UTC
Created attachment 224820 [details]
v1

Pamixer is a tiny console-only software used to control pulseaudio mixer.

WWW: https://github.com/cdemoulins/pamixer
Comment 1 Rainer Hurling freebsd_committer 2021-05-11 11:08:14 UTC
Created attachment 224839 [details]
patch with some refinements, v2

Hi Daniel,

Thanks for the patch of this interesting small tool.

I had a look at the patch and did some changes:

- As a new port it needs an entry in audio/Makefile
- Using USE_GITHUB to access a commit between two versions,
  like described in Portes Handbook, Example 5.14
- Move the only two files from pkg-plist to PLIST_FILES
- Suggested text for a bit more description of the port
  in pkg-descr

This patch is tested on Poudriere and with portlint and portclippy already and seems to build and install as expected.

If you are fine with these changes, I would commit the patch. 

Otherwise, feel free to make further changes if you want to.

Best wishes,
Rainer
Comment 2 Daniel Menelkir 2021-05-17 21:54:54 UTC
I think it's fine.
Comment 3 commit-hook freebsd_committer 2021-05-18 05:18:59 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=cb229ba83e23a5a9c8462a23549bc1567d794a66

commit cb229ba83e23a5a9c8462a23549bc1567d794a66
Author:     Rainer Hurling <rhurlin@FreeBSD.org>
AuthorDate: 2021-05-18 05:14:49 +0000
Commit:     Rainer Hurling <rhurlin@FreeBSD.org>
CommitDate: 2021-05-18 05:17:36 +0000

    New port: audio/pamixer: Console-only mixer for pulseaudio

    https://github.com/cdemoulins/pamixer

    PR:             255761
    Reported by:    Daniel Menelkir <menelkir@itroll.org> (maintainer)

 audio/Makefile                |  1 +
 audio/pamixer/Makefile (new)  | 23 +++++++++++++++++++++++
 audio/pamixer/distinfo (new)  |  3 +++
 audio/pamixer/pkg-descr (new) | 18 ++++++++++++++++++
 4 files changed, 45 insertions(+)
Comment 4 Rainer Hurling freebsd_committer 2021-05-18 05:20:29 UTC
Committed, thanks :)